Bug 1406611 - [RFE] Add 'rpm --noconfig' option to ignore %config files during 'rpm -Va' [NEEDINFO]
Summary: [RFE] Add 'rpm --noconfig' option to ignore %config files during 'rpm -Va'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm
Version: 7.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 7.4
Assignee: Packaging Maintenance Team
QA Contact: Jan Blazek
Jaroslav Klech
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1373022
Blocks: 1420851 1466368
TreeView+ depends on / blocked
 
Reported: 2016-12-21 03:39 UTC by Supreet
Modified: 2018-04-10 15:59 UTC (History)
12 users (show)

(edit)
The "--noconfig" option added for the "rpm -V" command

With this update, the "--noconfig" option has been added to the "rpm -V" command. This option enables the command to list only the altered non-configuration files, which helps diagnose system problems.
Clone Of: 1373022
(edit)
Last Closed: 2018-04-10 15:58:38 UTC
jklech: needinfo? (ffesti)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0877 None None None 2018-04-10 15:59 UTC

Description Supreet 2016-12-21 03:39:19 UTC
+++ This bug was initially created as a clone of Bug #1373022 +++

Description of problem:
Please add 'rpm --noconfig' option to ignore %config files during 'rpm -Va';
which is IMHO very helpful for automated verification runs.

Version-Release number of selected component (if applicable):
rpm-4.13.0-0.rc1.46.fc26

Additional info:
This helpful feature exists e.g. at rpm5: http://rpm5.org/cvs/chngview?cn=6262

--- Additional comment from Panu Matilainen on 2016-10-12 09:49:36 EDT ---

Seems quite reasonable.

--- Additional comment from Robert Scheck on 2016-12-17 21:00:26 EST ---

Cross-filed case 01759985 on the Red Hat customer portal.

Comment 15 Florian Festi 2018-04-04 11:48:50 UTC
Added doc text.

Comment 22 Jaroslav Klech 2018-04-06 10:53:57 UTC
Hi Florian,

thank you for the doc text - I have just modified it, could you have a look at it and tell me whether it is O.K. content-wise, please?

Thank you for your help.

Jaroslav

Comment 24 errata-xmlrpc 2018-04-10 15:58:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0877


Note You need to log in before you can comment on or make changes to this bug.